<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>main</filename>
    <title>Globus GSI GSS Assist</title>
    <name>main</name>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__gss__assist__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_GSS_ASSIST_MODULE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist</name>
    <title>Utility Functions</title>
    <filename>group__globus__gsi__gss__assist.html</filename>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context</name>
      <anchor>a0</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, int *token_status, gss_cred_id_t *delegated_cred_handle, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context_async</name>
      <anchor>a1</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp, gss_cred_id_t *delegated_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred</name>
      <anchor>a2</anchor>
      <arglist>(OM_uint32 *minor_status, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred_ext</name>
      <anchor>a3</anchor>
      <arglist>(OM_uint32 *minor_status, char *desired_name_char, OM_uint32 time_req, const gss_OID_set desired_mechs, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle, gss_OID_set *actual_mechs, OM_uint32 *time_rec)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status</name>
      <anchor>a4</anchor>
      <arglist>(FILE *fp, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status_str</name>
      <anchor>a5</anchor>
      <arglist>(char **str, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>NI_MAXHOST</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_gridmap</name>
      <anchor>a6</anchor>
      <arglist>(char *globusidp, char **useridp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_userok</name>
      <anchor>a7</anchor>
      <arglist>(char *globusid, char *userid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_map_local_user</name>
      <anchor>a8</anchor>
      <arglist>(char *local_user, char **globusidp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_import_sec_context</name>
      <anchor>a9</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context</name>
      <anchor>a10</anchor>
      <arglist>(OM_uint32 *, const gss_cred_id_t, gss_ctx_id_t *, char *, OM_uint32, OM_uint32 *, int *, int(*get_token)(void *, void **, size_t *), void *get_arg, int(*send_token)(void *, void *, size_t), void *send_arg)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context_async</name>
      <anchor>a11</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_will_handle_restrictions</name>
      <anchor>a12</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_get_unwrap</name>
      <anchor>a13</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char **data, size_t *length, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_wrap_send</name>
      <anchor>a14</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_constants</name>
    <title>GSI GSS Assist Constants</title>
    <filename>group__globus__gsi__gss__assist__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_gss_assist_error_t</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS</name>
      <anchor>a0a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS</name>
      <anchor>a0a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH</name>
      <anchor>a0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY</name>
      <anchor>a0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP</name>
      <anchor>a0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT</name>
      <anchor>a0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO</name>
      <anchor>a0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT</name>
      <anchor>a0a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP</name>
      <anchor>a0a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN</name>
      <anchor>a0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT</name>
      <anchor>a0a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT</name>
      <anchor>a0a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE</name>
      <anchor>a0a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG</name>
      <anchor>a0a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR</name>
      <anchor>a0a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR</name>
      <anchor>a0a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED</name>
      <anchor>a0a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL</name>
      <anchor>a0a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME</name>
      <anchor>a0a20</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_tokens</name>
    <title>Security Token Transport</title>
    <filename>group__globus__gsi__gss__assist__tokens.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_fd</name>
      <anchor>a0</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd</name>
      <anchor>a1</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_without_length</name>
      <anchor>a2</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_ex</name>
      <anchor>a3</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_nexus</name>
      <anchor>a4</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus</name>
      <anchor>a5</anchor>
      <arglist>(void *arg, void *bufp, size_t sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus_without_length</name>
      <anchor>a6</anchor>
      <arglist>(void *arg, void *bufp, size_t sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus_ex</name>
      <anchor>a7</anchor>
      <arglist>(void *arg, void *bufp, size_t sizep)</arglist>
    </member>
  </compound>
</tagfile>
